#!/usr/bin/env ruby

require '../microsoft_cvrf_client.rb'
require 'optparse'

@options = {}

OptionParser.new do |opts|
  opts.on("-id", "--id", "Bulletin ID") do |id|
    @options[:id] = id
  end
end.parse!

bulletin_id =  @options[:id]
api_client = MicrosoftCvrfClient.new

bulletin_response = api_client.get_id(bulletin_id)

cves_and_threat_strings = api_client.cves_and_threat_strings(bulletin_response)

cves_and_threat_strings.each do |cve, threat_strings|
  puts "CVE: #{cve}"
  puts "-------------------"
  puts "THREAT_STRINGS: #{threat_strings}"
  puts "-------------------"
end
